Skip to main content
PATCH
/
integrations
/
{integrationId}
/
resource-kinds
/
{resourceKind}
/
resources
/
{resourceId}
Update resource metadata
curl --request PATCH \
  --url https://api.vanta.com/v1/integrations/{integrationId}/resource-kinds/{resourceKind}/resources/{resourceId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "inScope": true,
  "description": "<string>",
  "ownerId": "<string>"
}
'

Documentation Index

Fetch the complete documentation index at: https://vanta.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

integrationId
string
required

Unique identifier of the integration.

resourceKind
string
required

Unique identifier of the integration resource kind.

resourceId
string
required

Unique identifier of the resource.

Body

application/json
inScope
boolean

Determines whether resources should be marked as in scope.

description
string

Description to update for the resources.

ownerId
string

Owner ID to update for the resources.

Response

204

No content